Agent Tools
Test tool
Test a tool by triggering its webhook with test parameters.
POST
/
v1
/
senders
/
{senderId}
/
agent
/
tools
/
{toolId}
/
test
Test tool
curl --request POST \
--url https://api.zavu.dev/v1/senders/{senderId}/agent/tools/{toolId}/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"testParams": {
"order_id": "ORD-12345"
}
}
'import requests
url = "https://api.zavu.dev/v1/senders/{senderId}/agent/tools/{toolId}/test"
payload = { "testParams": { "order_id": "ORD-12345" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({testParams: {order_id: 'ORD-12345'}})
};
fetch('https://api.zavu.dev/v1/senders/{senderId}/agent/tools/{toolId}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scheduled": true
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Parameters to pass to the tool for testing.
Response
Test scheduled.
⌘I
Test tool
